if car.isAIControlled then
  return nil
end
local counter = 0

function script.update(dt)
  local data = ac.accessCarPhysics()

  if not car.extraD then
    data.rpm = 0
    counter = 0
	ac.setMessage("Hold Brake and press EXTRA_D to start the engine!")
  elseif counter < 1 then
    if counter < 0.00001 then
      data.rpm = 0
    else
      data.gas = 0.25
    end
    counter = counter + dt
	ac.setMessage("Engine Started!")
  end
end